---
title: SpeechRecognitionEvent.emma
slug: Web/API/SpeechRecognitionEvent/emma
tags:
  - API
  - Experimental
  - Property
  - Reference
  - SpeechRecognitionEvent
  - Web Speech API
  - emma
  - recognition
  - speech
---
<div>{{APIRef("Web Speech API")}}{{obsolete_header}}</div>

<p>The <strong><code>emma</code></strong> read-only property of the {{domxref("SpeechRecognitionEvent")}} interface returns an <cite>E</cite><cite>xtensible MultiModal Annotation markup language (EMMA) — XML — representation of the result.</cite></p>

<div class="note">
<p><cite><strong>Note</strong>: EMMA is defined in the specification </cite><a href="http://www.w3.org/TR/emma/">EMMA: Extensible MultiModal Annotation markup language</a>. You can see muliple EMMA examples in the spec.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var myEmma = event.emma;
</pre>

<h3 id="Value">Value</h3>

<p>A valid XML document. The exact contents can vary across user agents and recognition engines, but all supporting implementations will expose a valid XML document complete with an EMMA namespace. If the speech recognition system does not supply EMMA data then the user agent will return <code>null</code>.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">recognition.onresult = function(event) {
  var color = event.results[0][0].transcript;
  diagnostic.textContent = 'Result received: ' + color + '.';
  bg.style.backgroundColor = color;
  console.log(event.emma);
}</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SpeechRecognitionEvent.emma")}}</p>

<h3 id="Firefox_OS_permissions">Firefox OS permissions</h3>

<p>To use speech recognition in an app, you need to specify the following permissions in your <a href="/en-US/docs/Web/Apps/Build/Manifest">manifest</a>:</p>

<pre class="brush: json">"permissions": {
  "audio-capture" : {
    "description" : "Audio capture"
  },
  "speech-recognition" : {
    "description" : "Speech recognition"
  }
}</pre>

<p>You also need a privileged app, so you need to include this as well:</p>

<pre class="brush: json">  "type": "privileged"</pre>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a></li>
</ul>
